Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.ui
Class GeneratorPreferencePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.jface.preference.FieldEditorPreferencePage
                  com.ssaglobal.generator.ui.GeneratorPreferencePage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.swt.events.HelpListener, org.eclipse.swt.internal.SWTEventListener, org.eclipse.ui.IWorkbenchPreferencePage

    public abstract class GeneratorPreferencePage

extends org.eclipse.jface.preference.FieldEditorPreferencePage
implements org.eclipse.ui.IWorkbenchPreferencePage, org.eclipse.swt.events.HelpListener

This class represents a preference page that is contributed to the Preferences dialog. By subclassing `FieldEditorPreferencePage`, we can use the field support built into JFace that allows us to create a page that is small and knows how to save, restore and apply itself.

This page is used to modify preferences only. They are stored in the preference store that belongs to the main plug-in class. That way, preferences can be accessed directly via the preference store.

Field Summary

Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`FLAT, GRID, MARGIN_HEIGHT, MARGIN_WIDTH, VERTICAL_SPACING`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`GeneratorPreferencePage()`

Method Summary
`org.eclipse.jface.preference.FieldEditor` | `createFieldEditor(java.lang.String name, java.lang.String labelText, org.eclipse.swt.widgets.Composite parent)`
`void` | `createFieldEditors()` Creates the field editors.
`abstract org.eclipse.ui.plugin.AbstractUIPlugin` | `getExtensionPlugin()` Get the template package's `Plugin` instance.
`void` | `helpRequested(org.eclipse.swt.events.HelpEvent a_e)`
`void` | `init(org.eclipse.ui.IWorkbench workbench)`

Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`addField, adjustGridLayout, applyFont, checkState, createContents, dispose, getFieldEditorParent, initialize, performDefaults, performOk, propertyChange, setVisible`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### GeneratorPreferencePage

    public GeneratorPreferencePage()

Method Detail

### getExtensionPlugin

    public abstract org.eclipse.ui.plugin.AbstractUIPlugin getExtensionPlugin()

  Get the template package's `Plugin` instance.

  Returns:

### createFieldEditors

    public void createFieldEditors()

  Creates the field editors. Field editors are abstractions of the common GUI blocks needed to manipulate various types of preferences. Each field editor knows how to save and restore itself.

  Specified by:
    `createFieldEditors` in class `org.eclipse.jface.preference.FieldEditorPreferencePage`

### createFieldEditor

    public org.eclipse.jface.preference.FieldEditor createFieldEditor(java.lang.String name,
                                                                      java.lang.String labelText,
                                                                      org.eclipse.swt.widgets.Composite parent)

### helpRequested

    public void helpRequested(org.eclipse.swt.events.HelpEvent a_e)

  Specified by:
    `helpRequested` in interface `org.eclipse.swt.events.HelpListener`
  See Also:
    `HelpListener.helpRequested(org.eclipse.swt.events.HelpEvent)`

### init

    public void init(org.eclipse.ui.IWorkbench workbench)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchPreferencePage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD